# Class CIM_ClusteringService
extends CIM_Service

ClusteringService represents the functionality provided by a Cluster. For example, failover functionality may be modeled as a Service of a failover Cluster.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ClusteringService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ClusteringService represents the functionality provided by a Cluster. For example, failover functionality may be modeled as a Service of a failover Cluster.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### AddNode (uint32)

#### Method Qualifiers (AddNode)

Name | Data Type | Value
--- | --- | ---

Description

string

AddNode brings a new ComputerSystem into a Cluster. The node to be added is specified as a parameter to the method. The return value should be 0 if the Computer System is successfully added, 1 if the method is not supported and any other number if an error occurred. In a subclass, the set of possible return codes could be specified, using a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' may also be specified in the subclass as a Values array qualifier.

#### Method Parameters (AddNode)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
CS | REF CIM_ComputerSystem
Description | string | The node to add to the cluster.
IN | boolean | true

#### EvictNode (uint32)

#### Method Qualifiers (EvictNode)

Name | Data Type | Value
--- | --- | ---

Description

string

EvictNode removes a ComputerSystem from a Cluster. The node to be evicted is specified as a parameter to the method. The return value should be 0 if the ComputerSystem is successfully evicted, 1 if the method is not supported and any other number if an error occurred. In a subclass, the set of possible return codes could be specified, using a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' may also be specified in the subclass as a Values array qualifier.

#### Method Parameters (EvictNode)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
CS | REF CIM_ComputerSystem
Description | string | The node to remove from the cluster.
IN | boolean | true

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service